# ServerStateRequest | xrpl
Documentation for xrpl

# Interface ServerStateRequest

The `server_state` command asks the server for various machine-readable information about the rippled server's current state. The response is almost the same as the server_info method, but uses units that are easier to process instead of easier to read.

#### Hierarchy

- BaseRequest
  - ServerStateRequest

- Defined in packages/xrpl/src/models/methods/serverState.ts:12

#####
Index

### Properties

api_version?
command
id?

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:14

### command

command: "server_state"

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/serverState.ts:13

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:10

Generated using TypeDoc